Skip to main content

Authorization Reversals


Overview

This section provides the information about how to process an authorization reversal.

Reversing an authorization releases the hold on the customer's payment card funds that the issuing bank placed when processing the authorization.

For a debit card or prepaid card in which only a partial amount was approved, the amount of the reversal must be the amount that was authorized, not the amount that was requested.

All supported card types can process authorization reversals.

Supported processors (20)

American Express Direct, Banque de France et Tresor Public, Barclays, BNP Paribas France, Chase Paymentech Solutions, Credit Mutuel-CIC, Elavon Americas, FDC Compass, FDC Nashville Global, GPN, HSBC, JCN Gateway, Moneris, OmniPay Direct, SIX, Streamline, TSYS Acquiring Solutions, Vero, , Worldpay VAP

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP

Supported processor: Barclays

Supported processor:

Endpoint

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

The {id} is the transaction ID returned in the authorization response.

Example

{    "clientReferenceInformation": {      "code": "test123"    },    "reversalInformation" : {        "amountDetails" : {            "totalAmount" : "100.00",            "currency" : "USD"        }    }}
{    "_links" : {      "self" : {          "method" : "GET",          "href" : "/pts/v2/reversals/6869460219566537303955"      }    },    "clientReferenceInformation" : {        "code" : "RTS-Auth-Reversal"    },    "id" : "6869460219566537303955",    "orderInformation" : {        "amountDetails" : {            "currency" : "USD"        }    },    "processorInformation" : {        "responseCode" : "200"    },    "reconciliationId" : "82kBK3qDNtls",    "reversalAmountDetails" : {        "reversedAmount" : "100.00",        "currency" : "USD"    },    "status" : "REVERSED",    "submitTimeUtc" : "2023-06-16T20:07:02Z"}

Required Fields

Default Required Fields

clientReferenceInformation.code
reversalInformation.amountDetails.currency
reversalInformation.amountDetails.totalAmount

The amount of the reversal must be the same as the authorization amount that was included in the authorization response message. Do not use the amount that was requested in the authorization request message.

Required Fields

clientReferenceInformation.partner.thirdPartyCertificationNumber

Cybersource provides the value for this field.

Last published: September 29, 2026